package rpgEngine.Data.Abstract;

public class Item {
	private Integer ID;
	private String name;
	private CharacterStats statChanges;
	private Integer type;
	private Integer goldCost;
	private Integer skillID;
	private String description;
	
	public static final Integer TYPE_HEALING = 0;
	public static final Integer TYPE_WEAPON = 1;
	public static final Integer TYPE_HELMET = 2;
	public static final Integer TYPE_ARMOR = 3;
	public static final Integer TYPE_ACCESSORY = 4;
	public static final Integer TYPE_TOME = 5;
	public static final Integer TYPE_REVIVE = 6;
	public static final Integer TYPE_MP_HEALING = 7;
	
	
	public Item() {
		this(-1,"","",TYPE_HEALING,0,-1,0,0,0,0,0,0);
	}
	
	public Item(Integer i, String n, String ds, Integer t, Integer gc, Integer sid, Integer hp, Integer mp, Integer a, Integer d, Integer m, Integer b) {
		setID(i);
		name = n;
		statChanges = new CharacterStats(hp,mp,a,d,m,b);
		type = t;
		goldCost = gc;
		skillID = sid;
		description = ds;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public CharacterStats getStatChanges() {
		return statChanges;
	}

	public void setStatChanges(CharacterStats statChanges) {
		this.statChanges = statChanges;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getGoldCost() {
		return goldCost;
	}

	public void setGoldCost(Integer goldCost) {
		this.goldCost = goldCost;
	}

	public Integer getSkillID() {
		return skillID;
	}

	public void setSkillID(Integer skillID) {
		this.skillID = skillID;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getID() {
		return ID;
	}

	public void setID(Integer iD) {
		ID = iD;
	}
	
}
